# Crypter Class Reference
[Diffie-Hellman Key Agreement Method (RFC-2631) implementation]

List of all members.

## Public Member Functions

| __construct ($algorithm, $mode)
| __destruct ()
| encrypt ($secret, $data)
| decrypt ($secret, $encryptedData)

## Static Public Member Functions

static | create ($algorithm, $mode)

## Private Member Functions

| createKey ($secret)

## Private Attributes

| $crResource = null
| $keySize = null
| $iv = null

## Detailed Description

Definition at line 15 of file Crypter.class.php.

## Constructor & Destructor Documentation

Crypter::__construct | ( | $ | algorithm,
|  | $ | mode |
| ) |  |  |

Definition at line 26 of file Crypter.class.php.

Crypter::__destruct | ( |  | ) |

Definition at line 42 of file Crypter.class.php.

## Member Function Documentation

static Crypter::create | ( | $ | algorithm,
|  | $ | mode |
| ) |  |  | `[static]`

Definition at line 21 of file Crypter.class.php.

Crypter::createKey | ( | $ | secret | ) | `[private]`

Definition at line 74 of file Crypter.class.php.

Referenced by decrypt(), and encrypt().

Crypter::decrypt | ( | $ | secret,
|  | $ | encryptedData |
| ) |  |  |

Definition at line 59 of file Crypter.class.php.

References createKey().

Here is the call graph for this function:

Crypter::encrypt | ( | $ | secret,
|  | $ | data |
| ) |  |  |

Definition at line 48 of file Crypter.class.php.

References createKey().

Here is the call graph for this function:

## Member Data Documentation

Crypter::$crResource = null`[private]`

Definition at line 17 of file Crypter.class.php.

Crypter::$iv = null`[private]`

Definition at line 19 of file Crypter.class.php.

Crypter::$keySize = null`[private]`

Definition at line 18 of file Crypter.class.php.

The documentation for this class was generated from the following file:

- main/Crypto/Crypter.class.php